=== debian/changelog ===
libapache2-mod-rivet (3.1.1-1) unstable; urgency=medium

  * New upstream release 
  * Add missing copyright references
  * Checked 4.3.0 standards 

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 13 Jan 2019 16:42:32 +0100

libapache2-mod-rivet (3.1.0-1) unstable; urgency=medium

  * New upstream release 

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 29 Nov 2018 23:15:17 +0100

libapache2-mod-rivet (3.0.2-3) unstable; urgency=medium

  * Depending on tcl-itcl4 as an alternative for the Itcl OO extension

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 29 Oct 2018 23:43:48 +0100

libapache2-mod-rivet (3.0.2-2) unstable; urgency=medium

  * Problem with changelog.Debian fixed as demanded by lintian
  * Moving SQL code and examples in rivet/packages to their destination
    in /usr/share/doc
  * Removed from 'rules' now unneded installation file handling as 
    everything is supposed to be properly done in the patched Makefile.am
  * Now compliant with the new standards version 

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 18 Sep 2018 23:32:38 +0200
