## libapache2-mod-rivet 3.2.0

=== debian/changelog ===
libapache2-mod-rivet (3.2.0-1) unstable; urgency=medium

  * New upstream release 
  * Validated standards compliance up to 4.5.0

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 09 Nov 2020 09:28:09 +0100
