=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 11~), automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
