## libapache2-mod-rivet 3.2.1

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -124,12 +124,12 @@
 
 #  Add build targets...
 # ===========================================================================
-add_library(mod_rivet            SHARED ${mod_rivet_sources})
-add_library(rivetparser          SHARED ${rivetparser_sources})
-add_library(rivetlib             SHARED ${rivetlib_sources})
-add_library(rivet_worker_mpm     SHARED ${rivet_worker_mpm_sources})
-add_library(rivet_prefork_mpm    SHARED ${rivet_prefork_mpm_sources})
-add_library(rivet_lazy_mpm       SHARED ${rivet_lazy_mpm_sources})
+add_library(mod_rivet            ${mod_rivet_sources})
+add_library(rivetparser          ${rivetparser_sources})
+add_library(rivetlib             ${rivetlib_sources})
+add_library(rivet_worker_mpm     ${rivet_worker_mpm_sources})
+add_library(rivet_prefork_mpm    ${rivet_prefork_mpm_sources})
+add_library(rivet_lazy_mpm       ${rivet_lazy_mpm_sources})
 add_library(rivet::parser        ALIAS rivetparser)
 add_library(rivet::lib           ALIAS rivetparser)
 add_library(rivet::rivet         ALIAS mod_rivet)
@@ -180,8 +180,8 @@
   MESSAGE ( STATUS "  Tclsh manually set by -Dwith-tclsh=" ${with-tclsh} )
   set (TCL_TCLSH ${with-tclsh})
 endif ()
-FIND_PACKAGE ( TCL 8.5.10 REQUIRED )
-FIND_PACKAGE ( TclStub 8.5.10 REQUIRED )
+FIND_PACKAGE ( TCL 8.6.1 REQUIRED )
+FIND_PACKAGE ( TclStub 8.6.1 REQUIRED )
 MESSAGE ( STATUS "  TCL_TCLSH:               " ${TCL_TCLSH} )
 MESSAGE ( STATUS "  TCL_INCLUDE_PATH:        " ${TCL_INCLUDE_PATH} )
 MESSAGE ( STATUS "  TCL_LIBRARY:             " ${TCL_LIBRARY} )
@@ -190,19 +190,6 @@
 #  Locate Apache...
 # ===========================================================================
 MESSAGE ( STATUS "Searching for Apache..." )
-
-if (NOT "${with-apache}" STREQUAL "")
-  MESSAGE ( STATUS "  Apache directory manually set by -Dwith-apache=" ${with-apache} )
-  get_filename_component(RIVET_APACHE_ROOT "${with-apache}" ABSOLUTE)
-  MESSAGE ( STATUS "  Setting Apache root to: " ${RIVET_APACHE_ROOT} )
-
-  set ( APACHE_ROOT ${RIVET_APACHE_ROOT} )
-  set ( APACHE_MODULE_DIR "${RIVET_APACHE_ROOT}/modules" )
-  set ( APACHE_LIB_DIR "${RIVET_APACHE_ROOT}/lib" )
-  set ( TclStub_ROOT ${RIVET_APACHE_ROOT})
-
-endif ()
-
 find_package(APACHE REQUIRED)
 MESSAGE ( STATUS "  APACHE_INCLUDE_DIR:      " ${APACHE_INCLUDE_DIR} )
 MESSAGE ( STATUS "  APACHE_MODULE_DIR:       " ${APACHE_MODULE_DIR} )
@@ -270,3 +257,10 @@
   #SET_TARGET_PROPERTIES(mod_rivet PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
 
   target_link_libraries(mod_rivet          ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} )
+  target_link_libraries(rivet_worker_mpm   ${APR_LIBRARY} ${APRUTIL_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
+  target_link_libraries(rivet_prefork_mpm  ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
+  target_link_libraries(rivet_lazy_mpm     ${APR_LIBRARY} ${APACHE_HTTPD_LIBRARY} mod_rivet)
+  # rivet_worker_mpm.c uses round(), which is available in C99
+  SET_TARGET_PROPERTIES(rivet_worker_mpm PROPERTIES C_STANDARD 99)
+  if(MSVC)
+    # Libraries linked with tclstubs.lib library, cannot use /SAFESEH
