=== debian/changelog ===
libapache2-mod-rivet (3.2.1-5) unstable; urgency=medium

  * Apply patch from upstream source code repository in order to fix
    memory leak in Rivet_Var (implements ::rivet::var ::rivet::var_qs and
    ::rivet::var_post)

 -- Massimo Manghi <mxmanghi@apache.org>  Mon, 14 Feb 2022 15:57:24 +0100

libapache2-mod-rivet (3.2.1-4) unstable; urgency=medium

  * Make dh_install operate only on libapache2-mod-rivet binary package
    thus excluding libapache2-mod-rivet-doc (Closes: #1003146)
  * Amending former changelog entry erroneously citing a depend on
    the apache2 build scripts that had added and then undone in the
    process of developing the new packaging scripts
  * Restricting dh_auto_configure to architecture depend build
  * Now correctly citing standards version 4.6.0

 -- Massimo Manghi <mxmanghi@apache.org>  Wed, 05 Jan 2022 12:30:30 +0100

libapache2-mod-rivet (3.2.1-3) unstable; urgency=medium

  * Changing debian/rules in order to exploit the Debian sequencer
  * Changing URL in debian/watch after ASF moved to a CDN based distribution
  * Add patches to remove handling of the doc directory. We assume the
    original tar ball is delivering HTML docs that don't need preparation
  * Add patch to selectively copy mod_rivet tcl commands files only
  * Removed trailing whitespace from lines in changelog
  * Explicitly mentioned NMU in last changelog entry, as demanded by lintian
  * Add copyright notice for README.md
  * Remove copyright notice for LICENSE. It's not necessary
  * Update debian/watch version
  * Debian standard compliance checked up to standards version 4.6.0.1

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 26 Dec 2021 22:42:26 +0100

libapache2-mod-rivet (3.2.1-2) unstable; urgency=medium

  * NMU to unstable - the upload of 3.2.1-1 to stable
    was a mistake.

 -- Sven Hoexter <hoexter@debian.org>  Sun, 14 Nov 2021 13:54:56 +0100

libapache2-mod-rivet (3.2.1-1) stable; urgency=medium

  * New upstream release.
  * New rivet version addresses issue with multiple AM_AUTOMAKE_INIT
    expansion (Closes: #998490).
  * Correcting the name of the target directory where rivet library and
    Tcl scripts are moved into (it still had the old 3.1 version name)

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 13 Nov 2021 18:35:38 +0100
