=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: httpd
 Priority: optional
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
-Build-Depends: tcl-dev, apache2-dev, libtool, debhelper (>= 11~), automake, dpkg-dev (>= 1.16.1~) 
-Standards-Version: 4.5.0
+Build-Depends: tcl-dev, apache2-dev, libtool, debhelper-compat (= 13), automake
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
@@ -26,7 +27,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: Documentation for Rivet, a server-side Tcl programming system 
+Description: Documentation for Rivet, a server-side Tcl programming system
  Apache Rivet is a system for creating dynamic web content via the Tcl
  programming language integrated with Apache Web Server. It is
  designed to be fast, powerful and extensible, consume few system
@@ -36,4 +37,3 @@
  manipulation, XML, and so on). In order to meet these goals
  Tcl programming language was chosen to combine with the Apache HTTP
  Server. This package contains the HTML configuration and programming manual.
-
