=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://dlcdn.apache.org/tcl/rivet/rivet-(\d.*)\.tar\.gz
