## libapache2-mod-rivet 3.2.2

=== debian/changelog ===
libapache2-mod-rivet (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Unapplying patch var_get_memory_leak as patch was integrated in this
    release
  * Compliance with Debian policy standards v4.6.1 checked
  * Add copyright reference for various libtool related m4 files that
    weree copied by the recent tcl.m4 upgrade
  * Rephrase the Jan 5th entry in a hopefully more intelligible english

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 23 Jun 2022 09:37:52 +0000
