## libapache2-mod-rivet 3.2.4

=== debian/changelog ===
libapache2-mod-rivet (3.2.4-1) unstable; urgency=medium

  * New upstream release 

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 18 Feb 2024 12:16:00 +0000

libapache2-mod-rivet (3.2.3-1) unstable; urgency=medium

  * New upstream release
  * Checked compliance to standards version 4.6.2
  * Adding the Forwarded field in the patches that are not meant to be
    forwarded upstream. Reinstating the the DEP-3 structure that was
    somehow removed from 3 of 4 patches

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 26 Oct 2023 06:46:13 +0000
