=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Massimo Manghi <mxmanghi@apache.org>
 Build-Depends: tcl-dev, apache2-dev, libtool, debhelper-compat (= 13), automake
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://tcl.apache.org/rivet/
 
 Package: libapache2-mod-rivet
