## libapache2-mod-rivet 3.2.5

=== debian/changelog ===
libapache2-mod-rivet (3.2.5-1) unstable; urgency=medium

  * New upstream release
  * Standards version 4.7.0 compliance
  * Created armored version of the binary keyring as suggested by uscan
  * Update copyright years for rivet sources
  * Removed year from debian/* copyright

 -- Massimo Manghi <mxmanghi@apache.org>  Thu, 23 May 2024 03:02:22 +0000
