## libapache2-mod-rivet 3.2.6

=== debian/changelog ===
libapache2-mod-rivet (3.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Massimo Manghi <mxmanghi@apache.org>  Tue, 12 Nov 2024 23:00:26 +0000
