## libapache2-mod-rivet 3.2.8

=== debian/changelog ===
libapache2-mod-rivet (3.2.8-1) unstable; urgency=medium

  * Standards version 4.7.2 compliance
  * New upstream release 
  * Build a comprehensive patch for Makefile.am. One of the previous series
    of patches didn't apply anymore

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 16 Nov 2025 17:52:31 +0100
